package cn.com.poc.common.constant;


/**
 * @author Roger Wu
 */

public enum BizSnKeyEnum {


    /**
     * 权益流水编号
     */
    equitySn("","ES"),

    /**
     * 积分流水编号
     */
    pointSn("","PO"),


    /**
     * 渠道号
     */
    channelConfigFlowNo("blo.marketing.channel.config","CCF"),


    /**
     * 订单编号
     */
    paySn("blo.marketing.pay.payOrderSn","PS"),


    /**
     * 订单编号
     */
    payLogSn("blo.marketing.pay.log.payLogSn","PL"),
    ;

    /**
     * redis key 前缀
     */
    String redisKeyPrefix;

    /**
     * 生成标号前缀
     */
    String snPrefix;

    BizSnKeyEnum(String redisKeyPrefix, String snPrefix) {

        this.redisKeyPrefix = redisKeyPrefix;
        this.snPrefix = snPrefix;
    }

    public String getRedisKeyPrefix() {
        return redisKeyPrefix;
    }

    public String getSnPrefix() {
        return snPrefix;
    }
}
